## org.apache.fop.layout.inline
Class InlineSpace

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Space
                  |
                  +--org.apache.fop.layout.inline.InlineSpace

public class InlineSpace
extends Space

Field Summary
`protected boolean` `lineThrough`
`protected boolean` `overlined`
`protected boolean` `underlined`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`InlineSpace(int amount)`
`InlineSpace(int amount, boolean resizeable)`

Method Summary
`boolean` `getLineThrough()`
`boolean` `getOverlined()`
`boolean` `getResizeable()`
`int` `getSize()`
`boolean` `getUnderlined()`
`void` `render(Renderer renderer)`
`void` `setLineThrough(boolean lt)`
`void` `setOverlined(boolean ol)`
`void` `setResizeable(boolean resizeable)`
`void` `setSize(int amount)`
`void` `setUnderlined(boolean ul)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### lineThrough

    protected boolean lineThrough

Constructor Detail

### InlineSpace

    public InlineSpace(int amount)

### InlineSpace

    public InlineSpace(int amount,
                       boolean resizeable)

Method Detail

### setUnderlined

    public void setUnderlined(boolean ul)

  Parameters:
    `ul` - true if text should be underlined

### getUnderlined

    public boolean getUnderlined()

### setOverlined

    public void setOverlined(boolean ol)

### getOverlined

    public boolean getOverlined()

### setLineThrough

    public void setLineThrough(boolean lt)

### getLineThrough

    public boolean getLineThrough()

### getSize

    public int getSize()

### setSize

    public void setSize(int amount)

### getResizeable

    public boolean getResizeable()

### setResizeable

    public void setResizeable(boolean resizeable)

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.